Package org.jboss.logmanager.formatters

# Enum StructuredFormatter.ExceptionOutputType

java.lang.Object
java.lang.Enum<StructuredFormatter.ExceptionOutputType>
org.jboss.logmanager.formatters.StructuredFormatter.ExceptionOutputType

All Implemented Interfaces:
  `Serializable`, `Comparable<StructuredFormatter.ExceptionOutputType>`, `java.lang.constant.Constable`

Enclosing class:
  `StructuredFormatter`

public static enum StructuredFormatter.ExceptionOutputType extends Enum<StructuredFormatter.ExceptionOutputType>
Defines the way a cause will be formatted.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DETAILED`
The cause, if present, will be an array of stack trace elements.
`DETAILED_AND_FORMATTED`
Adds both the `DETAILED` and `FORMATTED`
`FORMATTED`
The cause, if present, will be a string representation of the stack trace in a `stackTrace` property.

## Method Summary

Modifier and Type
Method
Description
`static StructuredFormatter.ExceptionOutputType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StructuredFormatter.ExceptionOutputType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DETAILED

public static final StructuredFormatter.ExceptionOutputType DETAILED
The cause, if present, will be an array of stack trace elements. This will include suppressed exceptions and the cause of the exception.

### FORMATTED

public static final StructuredFormatter.ExceptionOutputType FORMATTED
The cause, if present, will be a string representation of the stack trace in a `stackTrace` property. The property value is a string created by `Throwable.printStackTrace()`.

### DETAILED_AND_FORMATTED

public static final StructuredFormatter.ExceptionOutputType DETAILED_AND_FORMATTED
Adds both the `DETAILED` and `FORMATTED`

## Method Details

### values

public static StructuredFormatter.ExceptionOutputType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static StructuredFormatter.ExceptionOutputType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null